import { APIListUnpaginated, APIRetrieve, createExtendableAPI } from '@rokoli/bnb/drf'
import { defineStore } from 'pinia'

import { createSteeringURL } from '@/api'
import { steeringAuthInit } from '@/stores/auth'
import { Host } from '@/types'

export const useHostStore = defineStore('hosts', () => {
  const endpoint = createSteeringURL.prefix('hosts')
  const { api, base } = createExtendableAPI<Host>(endpoint, steeringAuthInit)
  return {
    ...base,
    ...APIListUnpaginated(api),
    ...APIRetrieve(api),
  }
})
